package org.hso.ecommerce.repos.booking;

import org.hso.ecommerce.entities.booking.BookingAccountEntry;
import org.hso.ecommerce.entities.user.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface BookingAccountEntryRepository extends JpaRepository<BookingAccountEntry, Long> {

    @Query("SELECT e FROM BookingAccountEntry e WHERE e.userAccount = :user ORDER BY e.id DESC")
    Optional<BookingAccountEntry> getByUser(User user);

    @Query("SELECT e FROM BookingAccountEntry e WHERE e.isMainAccount = 1 ORDER BY e.id DESC")
    Optional<BookingAccountEntry> getByMain();

    @Query("SELECT e FROM BookingAccountEntry e WHERE e.isVATAccount = 1 ORDER BY e.id DESC")
    Optional<BookingAccountEntry> getByVat();


}


